using Tiobon.Core.IServices.BASE;
using Tiobon.Core.Model;
using Tiobon.Core.Model.Models;

namespace Tiobon.Core.IServices;

/// <summary>
/// 招聘模板(自定义服务接口)
/// </summary>	
public interface IGhrh_TemplateServices : IBaseServices<Ghrh_Template, Ghrh_TemplateDto, InsertGhrh_TemplateInput, EditGhrh_TemplateInput>
{
    Task<ServiceResult> SwitchPublish(long id, int? isPublish);

    Task<ServiceResult<List<CustomFieldView>>> QueryOfferTags();

    Task<ServiceResult<string>> Preview(long resumeId, long templateId, Dictionary<string, string> extFields);
}